%define major 0
%define libname %mklibname ytnef %{major}
%define develname %mklibname -d ytnef

Name:		ytnef
# The upstream version is 1.9.2 don't know why it was created (wrongly by myself) as 2.6
Version:	2.6
Release:	%mkrel 1
Summary:	Yerase's TNEF Stream Reader
License:	GPLv2+
Group:		System/Networking
Url:		https://github.com/Yeraze/ytnef/tree/master/ytnef
# That mismatch in version forces to use the master branch. Do an rm SOURCES/master.tar.gz and mgarepo sync -d to update it
Source:		https://github.com/Yeraze/ytnef/archive/master.tar.gz
BuildRequires:	libytnef-devel

Requires:	perl-MIME-tools
Requires:	%{libname} = %{version}

%description
Yerase's TNEF Stream Reader.  Can take a TNEF Stream (winmail.dat) sent from
Microsoft Outlook (or similar products) and extract the attachments, including
construction of Contact Cards & Calendar entries.

%package -n %{libname}
Summary: TNEF Stream Parser shared library
Group: System/Libraries

%description -n %{libname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%package -n %{develname}
Summary: TNEF Stream Parser library
Group: Development/C
Requires: %{libname} = %{version}
Provides: libytnef-devel = %{version}-%{release}

%description -n %{develname}
TNEF Stream Parser Library to decode TNEF (winmail.dat) streams
generated by Microsoft Outlook.

%prep
%setup -q -n %{name}-master
# Inexistant and useless perl module
#perl -pi -e 's|use Mail::Mailer::test;|#use Mail::Mailer::test;|; s|/usr/local/bin|%{_bindir}|' ytnef/src/ytnef/ytnefprocess.pl

%build
#cd ytnef
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make

%install
%make_install

%files
%doc COPYING README.md
%{_bindir}/ytnef
%{_bindir}/ytnefprint
%{_bindir}/ytnefprocess

%files -n %{libname}
%{_libdir}/libytnef.so.%{major}
%{_libdir}/libytnef.so.%{major}.*

%files -n %{develname}
%{_libdir}/libytnef.so
%{_libdir}/libytnef.a
%{_libdir}/libytnef.la
%{_libdir}/pkgconfig/libytnef.pc
%{_includedir}/*.h


%changelog
* Fri May 12 2017 threepio <threepio> 2.6-1.uplos2017
  rebuild, update for uplos

* Thu May 11 2017 bcornec <bcornec> 2.6-6.mga6
+ Revision: 1100146
- Updated to git e462cbe to fix mga#20299


